List FPP Server Properties
get
https://EM_HOST:EM_CONSOLE_HTTPS_PORT/em/api/fppServers/{fppServerId}/properties
Lists properties of the FPP server
Request
Path Parameters
-
fppServerId(required): string
ID of the FPP server
Query Parameters
-
limit: integer(int32)
Limits number of items returned in current call. Use the self/previous/next links from the response to fetch additional items.Default Value:
50 -
page: string
Identifies the set of items to be fetched; "href" element from "links" list of the response provides encoded value for this parameter. "href" element value should be used "as is" for fetching respective set of items.Default Value:
Base64 encode value of 0 i.e MA== -
sort: string
Sort results by supported resource attributes such as id, displayId, timeCreated. timeUpdated, status and ownerExample:
displayId:ASC,timeUpdated:DESC
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
Ok. The FPP server properties retrieved.
Root Schema : FppServerPropertyCollection
Type:
objectFPP server properties
Match All
FPP server properties
Show Source
-
object
allOf
PropertyCollection
FPP properties
Nested Schema : PropertyCollection
Type:
objectFPP properties
Show Source
-
items: array
items
Array of properties
-
targetId: string
ID of the target
Match All
FPP properties
FPP properties
Show Source
-
object
Pagination
Collection of items with links
-
object
schema
Details of target
Nested Schema : Pagination
Type:
objectCollection of items with links
Show Source
-
count: integer
Count of this fetchExample:
40 -
links: object
Links
Represents the array of links
-
total: integer
total countExample:
40
Nested Schema : schema
Type:
objectDetails of target
Show Source
-
id(required): string
(raw)
ID of the targetExample:
317C6AD6C69832D0ADDA279BEB7B7F32 -
name(required): string
Name of the targetExample:
emdevinfra.oraclevcn.com -
typeDisplayName: string
Display name for the target typeExample:
Host -
typeName(required): string
Type of the targetExample:
host
Nested Schema : Links
Type:
objectRepresents the array of links
Show Source
-
next: object
Link
A link
-
previous: object
Link
A link
-
self: object
Link
A link
Examples
400 Response
Bad Request
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
customer facing error code
-
details: array
details
(Optional) List of additional details for the errors found.
-
message(required): string
customer facing error description
Nested Schema : details
Type:
array(Optional) List of additional details for the errors found.
Show Source
-
Array of:
object ErrorDetail
listed as part of ErrorResponse
Nested Schema : ErrorDetail
Type:
objectlisted as part of ErrorResponse
Show Source
-
message(required): string
specific error description
401 Response
Client is not authenticated
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
customer facing error code
-
details: array
details
(Optional) List of additional details for the errors found.
-
message(required): string
customer facing error description
Nested Schema : details
Type:
array(Optional) List of additional details for the errors found.
Show Source
-
Array of:
object ErrorDetail
listed as part of ErrorResponse
Nested Schema : ErrorDetail
Type:
objectlisted as part of ErrorResponse
Show Source
-
message(required): string
specific error description
403 Response
Forbidden. The user is forbidden to perform the requested operation
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
customer facing error code
-
details: array
details
(Optional) List of additional details for the errors found.
-
message(required): string
customer facing error description
Nested Schema : details
Type:
array(Optional) List of additional details for the errors found.
Show Source
-
Array of:
object ErrorDetail
listed as part of ErrorResponse
Nested Schema : ErrorDetail
Type:
objectlisted as part of ErrorResponse
Show Source
-
message(required): string
specific error description
404 Response
Resource not found or not authorized for access
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
customer facing error code
-
details: array
details
(Optional) List of additional details for the errors found.
-
message(required): string
customer facing error description
Nested Schema : details
Type:
array(Optional) List of additional details for the errors found.
Show Source
-
Array of:
object ErrorDetail
listed as part of ErrorResponse
Nested Schema : ErrorDetail
Type:
objectlisted as part of ErrorResponse
Show Source
-
message(required): string
specific error description
500 Response
Internal Server Error
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
customer facing error code
-
details: array
details
(Optional) List of additional details for the errors found.
-
message(required): string
customer facing error description
Nested Schema : details
Type:
array(Optional) List of additional details for the errors found.
Show Source
-
Array of:
object ErrorDetail
listed as part of ErrorResponse
Nested Schema : ErrorDetail
Type:
objectlisted as part of ErrorResponse
Show Source
-
message(required): string
specific error description
503 Response
Indicates that a required service is not available
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
customer facing error code
-
details: array
details
(Optional) List of additional details for the errors found.
-
message(required): string
customer facing error description
Nested Schema : details
Type:
array(Optional) List of additional details for the errors found.
Show Source
-
Array of:
object ErrorDetail
listed as part of ErrorResponse
Nested Schema : ErrorDetail
Type:
objectlisted as part of ErrorResponse
Show Source
-
message(required): string
specific error description